package com.psg.dlsysinfo.dl_sysinfo_server.dto;

import java.util.List;
import java.util.Map;

public class DeviceWithCveResponse {

    private final List<? extends DeviceDTO> devices;
    private final Map<Long, List<DeviceVulnerabilityDTO>> vulnerabilitiesByDevice;

    public DeviceWithCveResponse(List<? extends DeviceDTO> devices, Map<Long, List<DeviceVulnerabilityDTO>> vulnerabilitiesByDevice) {
        this.devices = devices;
        this.vulnerabilitiesByDevice = vulnerabilitiesByDevice;
    }

    public List<? extends DeviceDTO> getDevices() {
        return devices;
    }

    public Map<Long, List<DeviceVulnerabilityDTO>> getVulnerabilitiesByDevice() {
        return vulnerabilitiesByDevice;
    }
}
